import { Schema } from "./Schema";
import { ZeroArgumentsConstructor } from "./SchemaType";
import { AttributeMap } from "aws-sdk/clients/dynamodb";
/**
 * Unmarshall a DynamoDB item into a JavaScript value.
 *
 * @param schema            Metadata outlining the types to be expected
 *                          throughout the input
 * @param input             The value to unmarshall
 * @param valueConstructor  A zero-argument constructor used to create the
 *                          object onto which the input should be unmarshalled
 */
export declare function unmarshallItem<T = {
    [key: string]: any;
}>(schema: Schema, input: AttributeMap, valueConstructor?: ZeroArgumentsConstructor<T>): T;
